%define name	fastresolve
%define version 2.10
%define release	1mdk

Name: 		%{name}
Summary: 	A fast logfile IP address resolver and related utilities.
Version:	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Monitoring
Source0: 	%{name}-%{version}.tar.bz2
URL: 		http://www.djmnet.org/sw/fastresolve/
BuildRequires:	db4-devel
BuildRequires:	libdbcxx4.0
BuildRequires:	libadns1-devel
BuildRequires:	zlib-devel
BuildRequires:	libstdc++5-devel
Requires: 	analog
Requires: 	libadns1
Requires: 	libdb4.0
Requires: 	libdbcxx4.0
Requires: 	libstdc++5
Requires: 	libgcc1
Requires: 	perl
Requires: 	perl-BerkeleyDB
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
Fastresolve is a package of programs to process web log files to
get DNS and domain ownership information for log analysis. It
sends out many queries in parallel, and caches results, for speed.
Its DNS resolver is about 10 times as fast as logresolve.pl from
the Apache 1.3.9 distribution, and about 50 times as fast as
logresolve.c from that distribution. It is 5-20 times as fast as
the adnslogres program that comes with the adns library, and about
3 times as fast as jdresolve, which is a Perl program that uses
similar algorithms.

%prep

%setup -q

%build

%serverbuild

export CPPFLAGS="-I%{_includedir}/db4"
export PERL="%{_bindir}/perl"

%configure

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_datadir}/fastresolve

%makeinstall

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README doc/TODO doc/timings
%{_datadir}/fastresolve/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue May 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.10-1mdk
- initial cooker contrib
